/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, INotifyPropertyChanged_$type, PropertyChangedEventArgs, markType } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
var PropertyChangeNotifier = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(PropertyChangeNotifier, _super);
    function PropertyChangeNotifier() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.propertyChanged = null;
        return _this;
    }
    PropertyChangeNotifier.prototype.a = function (a) {
        var b = this.propertyChanged;
        if (b != null) {
            b(this, new PropertyChangedEventArgs(a));
        }
    };
    PropertyChangeNotifier.$t = markType(PropertyChangeNotifier, 'PropertyChangeNotifier', Base.$, [INotifyPropertyChanged_$type]);
    return PropertyChangeNotifier;
}(Base));
export { PropertyChangeNotifier };
